// Description: 
// By Sarah Dean
// Email: sdean12@sdean12.org
// WWW:   http://www.FreeOTFE.org/
//
// -----------------------------------------------------------------------------
//


#ifndef _DriverInterfaceCommon_H
#define _DriverInterfaceCommon_H   1


#define STR_UNKNOWN  TEXT("<Unknown>")
#define MAX_PRETTYPRINTED_SECTORIVGENMETHOD  30
#define MAX_PRETTYPRINTED_KDFALGORITHM       25
#define MAX_PRETTYPRINTED_MACALGORITHM       10


int driver_GetDriverFilenames(
    WCHAR* filenamePattern, 
    WCHAR*** filenamesList
);

void driver_FreeDriverFilenames(WCHAR*** filenamesList);

WCHAR* driver_AllocMainDLLFullFilename(BOOL withPath);
void driver_FreeMainDLLFullFilename(WCHAR* fullFilename);
WCHAR* driver_AllocMainDLLFullPath(BOOL inclSlash);
void driver_FreeMainDLLFullPath(WCHAR* fullFilename);

// =========================================================================
// =========================================================================

#endif

